PROMETHEUS-ELASTICSEARCH-EXPORTER(1)

NAME
prometheus-elasticsearch-exporter - Prometheus exporter for Elasticsearch metrics

SYNOPSIS

prometheus-elasticsearch-exporter [<flags>]

DESCRIPTION

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--collector.cluster-info
    Enable the cluster-info collector (default: enabled).

--collector.clustersettings
    Enable the clustersettings collector (default: disabled).

--collector.data-stream
    Enable the data-stream collector (default: disabled).

--collector.health-report
    Enable the health-report collector (default: disabled).

--collector.ilm
    Enable the ilm collector (default: disabled).

--collector.slm
    Enable the slm collector (default: disabled).

--collector.snapshots
    Enable the snapshots collector (default: disabled).

--tasks.actions="indices:*"
    Filter on task actions. Used in same way as Task API actions param

--collector.tasks
    Enable the tasks collector (default: disabled).

--web.telemetry-path="/metrics"
    Path under which to expose metrics.

--web.systemd-socket
    Use systemd socket activation listeners instead of port listeners (Linux only).

--web.listen-address=:9114
    Addresses on which to expose metrics and web interface. Repeatable for multiple addresses. Examples: `:9100` or `[::1]:9100` for http, `vsock://:9100` for vsock

--web.config.file=""
    Path to configuration file that can enable TLS or authentication. See: https://github.com/prometheus/exporter-toolkit/blob/master/docs/web-configuration.md

--es.uri=""
    HTTP API address of an Elasticsearch node.

--es.timeout=5s
    Timeout for trying to get stats from Elasticsearch.

--es.all
    Export stats for all nodes in the cluster. If used, this flag will override the flag es.node.

--es.node="_local"
    Node's name of which metrics should be exposed.

--es.indices
    Export stats for indices in the cluster.

--es.indices_settings
    Export stats for settings of all indices of the cluster.

--es.indices_mappings
    Export stats for mappings of all indices of the cluster.

--es.aliases
    Export informational alias metrics.

--es.shards
    Export stats for shards in the cluster (implies --es.indices).

--es.clusterinfo.interval=5m
    Cluster info update interval for the cluster label

--es.ca=""
    Path to PEM file that contains trusted Certificate Authorities for the Elasticsearch connection.

--es.client-private-key=""
    Path to PEM file that contains the private key for client auth when connecting to Elasticsearch.

--es.client-cert=""
    Path to PEM file that contains the corresponding cert for the private key to connect to Elasticsearch.

--es.ssl-skip-verify
    Skip SSL verification when connecting to Elasticsearch.

--log.output="stdout"
    Sets the log output. Valid outputs are stdout and stderr

--aws.region=""
    Region for AWS elasticsearch

--aws.role-arn=""
    Role ARN of an IAM role to assume.

--config.file=""
    Path to YAML configuration file.

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]

--log.format=logfmt
    Output format of log messages. One of: [logfmt, json]

--version
    Show application version.